%define upstream_name    Module-Install-Template
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Treat module source code as a template
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Template)
BuildRequires: perl(Test::Compile)
BuildRequires: perl(Test::More)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl(URI::Escape)
BuildArch: noarch


%description
This module, if used in the Makefile.PL as shown in the synopsis, treats
module source code files as templates and processes them with the the
Template manpage Toolkit during 'make' time.

That is, 'lib/' is expected to contain templates, and 'blib/lib/' will
contain the resulting files as processed by the Template Toolkit.

This only happens on the author's side. The end-user will not notice any of
it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/tt_pm_to_blib


%changelog

* Tue Jan 15 2013 sander85 <sander85> 0.80.0-2.mga3
+ Revision: 388236
- Fix BuildRequires

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 25 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 38321
- mageia rebuild
- imported package perl-Module-Install-Template

